describe('Banner', () => {
    beforeEach(() => {
        cy.visit('/activities')
      })
      it('banner is visible', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .should('be.visible')
      })
      it('button works', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .find('.tab-btns')
        .find('.btn-mobile')
        .click()
        .url().should('eq', 'http://localhost:3000/forparents')
      })
      
    })

    describe('Cards', () => {
        beforeEach(() => {
            cy.visit('/activities')
          })
          it('cards section visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .should('be.visible')
          })
          it('header is visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .get('h1')
            .should('be.visible')
          })
          it('cards are visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .children()
            .should('contain', 'Colouring Sheets')
            .should('contain', 'Crosswords')
            .should('contain', 'Word Searches')
        })
        it('colouring sheets link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .find('.cards-items-link')
            .first()
            .click()
            .url().should('eq', 'http://localhost:3000/colouringsheets')
          })
          it('crosswords link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .find('li')
            .first()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/crosswords')
          })
          it('word searches link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .find('li')
            .next()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/wordsearches')
          })
    })